:root{
    --button-blue: #006aff;
    --navbar-cyan: #00ffd2;
    --light-brown-text: #da8235;
    --brown1 : #692901;
}

@font-face {
    font-family: pixelatedFont;
    src: url("../fonts/Minecraft.ttf");
}

h1{
    text-align: center;
}

canvas{
    image-rendering: pixelated;
}
.game-area{
    background: linear-gradient(#3899c3, #85a4b1) ;
    border: 2px solid var(--border-color);
    border-radius: 1rem;
    text-align: center;
    position: relative;
    z-index: 0;
    color: var(--brown1);
    -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
    -khtml-user-select: none; /* Konqueror HTML */
    -moz-user-select: none; /* Old versions of Firefox */
    -ms-user-select: none; /* Internet Explorer/Edge */
    user-select: none; /* Non-prefixed version, currently supported by Chrome, Edge, Opera and Firefox */
    padding: 1rem 0;
}

#game-canvas{
    /* dont set size of canvas in css  */
    background-color:#1e703f;
    border: 40px solid ;
    border-radius:7.5px;
    border-image: url("./snakeGame/snakes_border.png");
    border-image-slice: 40;
    border-image-repeat: round;
    box-shadow:  2px 2px 1px rgb(0 0 0 / 82%);
}

#btn-gameOver{
    font-family: pixelatedFont;
    color: var(--light-brown-text);
    font-size: large;
    position: absolute;
    top  :60%;
    left :50%;
    transform: translate(-50%,-50%);
    box-shadow:  0 1px 0 rgb(0 0 0 / 82%);

    text-decoration: None;
    border: 6px solid;
    border-radius: 3px;
    padding:0.5rem ;
    background-color:var(--brown1);
    display: none;
    z-index: 6;
}

#btn-gameOver:active{
    color:var(--brown1);
    background-color: var(--light-brown-text);
}

#gameOverUI{
    position: absolute;
    background: rgba(255, 255, 255, 0.3) ;
    top: 0;
    left: 0;
    border-radius: 1rem;
    width: 100%;
    height: 100%;
    display: none;
    z-index: 5;

}
#gameOverText{
    position: absolute;
    font-family: pixelatedFont;
    text-transform: uppercase;
    top:40%;
    left:50%;
    color: rgb(251, 180, 2);

    font-weight: 700;
    font-size: xx-large;
    transform: translate(-50%,-50%);
    display: none;
    z-index: 6;
}
.game{
    position: relative;
    z-index: 2;
}
#startGameText{
    position: absolute;
    font-family: pixelatedFont;
    text-transform: uppercase;
    top:50%;
    left:50%;
    color: var(--light-brown-text);

    font-size: x-large;
    transform: translate(-50%,-50%);
    display: none;
    z-index: 6;
}

#settingPage{
    position: absolute;
    top:50%;
    left:50%;
    transform: translate(-50%,-50%);

    background-color: var(--brown1);
    color: var(--light-brown-text);
    box-shadow:  1px 1px 5px rgb(0 0 0 / 82%);
    font-family: pixelatedFont;
    text-transform: uppercase;
    font-size: x-large;
    padding: 2rem;
    border-radius: 5px;
    border: 10px solid var(--light-brown-text);

    display: none;
    z-index: 10;
}
#close {
    position: absolute;
    opacity: 0.7;
    font-size: 2rem;
    font-weight: bold;
    top: 1rem;
    right: 0;
    transform: translate(-60%,-40%);
}

#close:hover,
#close:focus {
    opacity: 1;
    text-decoration: none;
    cursor: pointer;
}

#rowRange, #colRange{
    width: 200px;
    height: 15px;
    appearance: none;
    background: var(--light-brown-text);
    outline: none;
    border-radius: 2px;
    margin-bottom: 2rem;
}
#rowRange::-webkit-slider-thumb, #colRange::-webkit-slider-thumb {
    appearance: none;
    width: 15px;
    height: 30px;

    background: var(--brown1);
    cursor: pointer;
    border: 4px solid var(--light-brown-text);
    border-radius: 2px;
    box-shadow: 0px 0px 0 3px var(--brown1);
}

#rowText, #colText{
    color: rgb(223, 223, 223);

}

#speedSlow, #speedNormal, #speedFast{
    cursor: pointer;
    border: 4px solid var(--brown1);
    border-radius: 5px;
    padding: 5px;
    margin: 0 10px;
    box-shadow: 0px 0px 0 3px var(--light-brown-text);
    opacity: 0.7;
}

@media(pointer: fine){
    #speedSlow:hover, #speedNormal:hover, #speedFast:hover{
        opacity: 1;
    }
}
#speedSlow:active, #speedNormal:active, #speedFast:active{
    opacity: 1;
}

.speedSetting{
    background-color: var(--light-brown-text) !important;
    color:var(--brown1) !important;
    opacity: 1 !important;
}

.textShadow{
    text-shadow: 0 1px 0 rgb(0 0 0 / 82%);
}
/* ---------- arrow control --------------- */
.table{
    max-width: 30vh;
    margin: auto;
    -webkit-user-select: none; /* Safari */
    -ms-user-select: none; /* IE 10 and IE 11 */
    user-select: none; /* Standard syntax */
    position: relative;
}
#gameControl, #settingBtn{
    position: relative;
    z-index: 6;
}

tr, td{
    border:none;
}

.gameBtn > p {
    cursor: pointer;
    background-color: var(--light-brown-text);
    color:var(--brown1);
    border: 4px solid var(--brown1);
    border-radius: 5px;
    margin: 0;
    box-shadow:  0 1px 1px rgb(0 0 0 / 82%);
}

.gameBtn > p:active,.Clicking {
    background-color: var(--brown1)!important;
    color: var(--light-brown-text) !important ;
    border: 4px solid  var(--light-brown-text);
}
/* ----- status-bar ----- */
.status-bar{
    margin: auto;
    min-width: 300px;
    max-width: 600px;
    padding-bottom: 0.5rem;
}

.fontText{
    font-family: pixelatedFont;
    text-transform: uppercase;
    font-size: large;
}

.gameBtnGp >.gameBtn >p{
    padding: 0 0.5rem;
    font-size: larger;
}

.gameBtnGp >.gameBtn{
    padding: 0 0.5rem
}
/* ---- clouds -------- */
.bg{
    position:absolute;
    width:100%;
    height: 100%;
    left:0;
    top: 0;
    overflow: hidden;
}

.cloud{
    position: absolute;
    width: 24%;
    padding-bottom: 12%;
    left: 0%;
    background-repeat: no-repeat;
    background-position: center;
    background-size: 100% ;
    z-index: 0;
    
}
.cloud:nth-child(1){ top: 2%; background-image: url("./snakeGame/snakes_cloud-3.svg");}
.cloud:nth-child(2){ top: 10%; background-image: url("./snakeGame/snakes_cloud-2.svg");}
.cloud:nth-child(3){ top: 20%; background-image: url("./snakeGame/snakes_cloud-1.svg"); }
.cloud:nth-child(4){ top: 35%; background-image: url("./snakeGame/snakes_cloud-2.svg");}
.cloud:nth-child(5){ bottom: 45%; background-image: url("./snakeGame/snakes_cloud-3.svg");}
.cloud:nth-child(6){ bottom: 30%; background-image: url("./snakeGame/snakes_cloud-1.svg");}
.cloud:nth-child(7){ bottom: 20%; background-image: url("./snakeGame/snakes_cloud-3.svg");}
.cloud:nth-child(8){ bottom: 1%; background-image: url("./snakeGame/snakes_cloud-2.svg");}

/* @keyframes animateCloud {
    0% {
        left: 0%;
    }
    100% {
        left: 100%;
        transform: translateX(100%);
    }
} */
/* -------------------- */
.shake-window {
    animation: shake 0.2s 2;
}

@keyframes shake {
    0% {
        transform: translateX(5px);
    }

    20% {
        transform: translateX(-3px);
    }

    40% {
        transform: translateX(5px);
    }

    60% {
        transform: translateX(-7px);
    }

    80% {
        transform: translateX(-1px);
    }

    100% {
        transform: translateX(3px);
    }
}
/* -----eat pinecone------ */

#eyeL, #eyeR{
    position: absolute;
    width:60px;
    height: 30px;
    background-color: white;
    top: -35px;
    left: 50%;
    border-radius: 0 0 30px 30px ;

}
#eyeL{ transform: translateX(-150%) rotateZ(30deg); animation: 1s animeEyeL ;}
#eyeR{ transform: translateX(50%)  rotateZ(-30deg); animation: 1s animeEyeR ;}

#eyeL::before, #eyeR::before{
    content: " ";
    position: absolute;
    top:-5px;
    left: 0;
    width: 100%;
    scale: 1.5;
    border-top: 5px solid black;
}
#eyeL::after,#eyeR::after{
    content: " ";
    position: absolute;
    top:0;
    left: 50%;
    transform: translateX(-50%);
    border-radius: 0 0 30px 30px ;
    width: 30px;
    height: 15px;
    background-color:black;
}

@keyframes animeEyeL {
    0%{ transform: translateX(-150%) rotateZ(0);}
    40%{ transform: translateX(-150%) rotateZ(0);}
    100%{transform:  translateX(-150%) rotateZ(30deg);}
}
@keyframes animeEyeR {
    0%{ transform: translateX(50%) rotateZ(0);}
    40%{ transform: translateX(50%) rotateZ(0);}
    100%{transform:  translateX(50%) rotateZ(-30deg);}
}
/* ----- hit self --------- */
#eyeL1, #eyeR1{
    position: absolute;
    width:40px;
    height: 40px;
    background-color: white;
    top: -45px;
    left: 50%;
    border-radius: 50% ;
    

}
#eyeL1{ transform: translateX(-130%) rotateZ(-30deg); animation: 1s animeEyeL1 linear;}
#eyeR1{ transform: translateX(30%) rotateZ(30deg); animation: 1s animeEyeR1 linear;}

@keyframes animeEyeL1 {
    0%{ transform: translateX(-130%) rotateZ(0);}
    40%{ transform: translateX(-130%) rotateZ(0);}
    100%{transform:  translateX(-130%) rotateZ(-30deg);}
}
@keyframes animeEyeR1 {
    0%{ transform: translateX(30%) rotateZ(0);}
    40%{ transform: translateX(30%) rotateZ(0);}
    100%{transform:  translateX(30%) rotateZ(30deg);}
}

#eyeL1::before, #eyeR1::before{
    content: " ";
    position: absolute;
    top:0;
    left: 0;
    width: 40px;
    height: 20px;
    background-color: grey;
    z-index: 1;
    border-radius: 20px 20px 0 0;
}
#eyeL1::after,#eyeR1::after{
    content: " ";
    position: absolute;
    top:-5px;
    left: 50%;
    transform: translate(-50%,50%);
    border-radius: 50% ;
    width: 25px;
    height: 25px;
    background-color:black;
}

#teardrop {
    position: absolute;
    opacity: 0;
    /* z-index: 50 */
    width: 22px;
    height: 22px;
    top: 0;
    left:50%;
    /* transform: translate(200%,-50%); */
    transform: translate(200%,-50%);
    background:#68CAD6;
    border-radius: 50%;
    scale: 0.8;
    animation: tearFall 2s infinite forwards; 
    
}

#teardrop::before {
    left: 3px;
    height: 0;
    top: -10px;
    content: '';
    position: absolute;
    border-style: solid;
    border-left-width: 8px;
    border-right-width: 8px;
    border-bottom-width: 12px;
    border-color: transparent transparent #68CAD6 transparent;
}

@keyframes tearFall {
    0%, 59% { opacity: 0;top:0;}
    60% { opacity: 1;}
    85% { top:110%; opacity: 1;}
    86%,100% {top:110%;opacity: 0;}
}

/* ----footer----- */
footer{
    margin-top: 2rem;
}
footer > a{
    text-decoration: none;
    color: var(--text-color);
    font-weight: 500;
}